aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/xrbg4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/xrbg b/bin/xrbg
new file mode 100755
index 00000000..801bf078
--- /dev/null
+++ b/bin/xrbg
@@ -0,0 +1,4 @@
+#!/bin/sh
+# Apply a random background image. Requires rndf(1df) and feh(1).
+bg=$(rndf "${XBACKGROUNDS:-"$HOME"/.xbackgrounds}") || exit
+feh --bg-scale --no-fehbg -- "$bg"